Package org.eclipse.lemminx.extensions.filepath

## Interface IFilePathExpression

All Known Implementing Classes:
  `FilePathExpression`, `SimpleFilePathExpression`

    public interface IFilePathExpression

File path support expression API.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acceptPath​(Path path)` Returns true if given file path is allowed for the file path completion and false otherwise.
`Character` `getSeparator()` Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.
`boolean` `match​(Node node)` Returns true if the given DOM node matches the file path expression and false otherwise.

### Method Detail

#### match

    boolean match​(Node node)

Returns true if the given DOM node matches the file path expression and false otherwise.

Parameters:
  `node` - the DOM node.
Returns:
  true if the given DOM node matches the file path expression and false otherwise.

#### getSeparator

    Character getSeparator()

Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

Returns:
  the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

#### acceptPath

    boolean acceptPath​(Path path)

Returns true if given file path is allowed for the file path completion and false otherwise.

Parameters:
  `path` - the file path.
Returns:
  true if given file path is allowed for the file path completion and false otherwise.